APERTIUM-RESTORE-CAPS(1)

NAME
apertium-restore-caps - capitalization restoration module for Apertium

SYNOPSIS
apertium-restore-caps [-z] rule_file [input [output]]

DESCRIPTION
This is a tool intended to be run as the final step in an Apertium pipeline which determines the appropriate capitalization of each word on the basis of how it was capitalized in the input text as extracted by apertium-extract-caps(1) earlier in the pipeline and the capitalization of the form listed in the bilingual dictionary.

OPTIONS

-z  flush buffer on the null character

FILES
These are the kinds of files that can be used with this command:

rule_file
    A file with extension .crx.bin that holds the result of compiling the rules using apertium-compile-caps(1).

input, output
    Represent the input and output files. By default they are the standard input and standard output.

SEE ALSO
apertium-extract-caps(1), apertium-compile-caps(1), apertium-validate-crx(1),

COPYRIGHT
Copyright © 2022 Apertium This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Many... lurking in the dark and waiting for you!